/*
Theme Name: wktienda

Template: Divi
*/

h2 {
	color: green !important;
}



/* ========================================================= */
/* 006 shortcode categorias para la páginas de arhivo tienda */
/* ========================================================= */

.wk-categorias-tienda {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.wk-categorias-tienda ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap; /* Permitir que los elementos se envuelvan a la siguiente fila */
    justify-content: center; /* Centrar los elementos horizontalmente */
    margin: 0; /* Eliminar márgenes adicionales */
}

.wk-categorias-tienda li {
    text-align: center;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    min-width: 150px; /* Ancho mínimo de los elementos */
    max-width: 150px; /* Ancho máximo de los elementos */
    display: flex; /* Habilitar flexbox en el li */
    flex-direction: column; /* Alinear elementos en columna */
    align-items: center; /* Centrar elementos horizontalmente */
    justify-content: space-between; /* Centrar elementos verticalmente */
}

.wk-categorias-tienda img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: 5px; /* Espacio entre la imagen y el texto */
}


.wk-categorias-tienda a span {
	padding-left: 0.3rem;
	padding-right: 0.3rem;
}


/* ========================================================= */
/* 002: shortcode mini carrito */
/* ========================================================= */
#wk-custom-cart-icon {
    position: relative;
    min-width: 90px;
   /* 
    --wk-minicart-color-texto: #666666;
    --wk-minicart-color-enlace: #333333;
*/
    
}
    /* contenedor superior */
#wk-custom-cart-icon .cart-contents {
    display: flex;
    align-items: center;
	justify-content: flex-end;
    cursor: pointer;
    padding-right: 0.2rem;
    font-family: "Open Sans",Arial,sans-serif !important;
}

        /* dinero */
#wk-custom-cart-icon .cart-total-amount {
    color:white;
    font-size:12px;
}

        /* imagen carrito */
#wk-custom-cart-icon .cart-icon-image {
	width: 20px;
	height: 20px;
    margin-left:0.5em;
    margin-right:1em;
    
}


        /* contador */
#wk-custom-cart-icon .cart-contents-count {
    background-color: var(--wk-minicart-color-enlace);
    color: white;
    border-radius: 50%;
    width: 2em;
    height: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.01em;
    /*margin-left: -0.9em;
    margin-bottom: -1em;*/
    font-size: 0.6em;
    line-height: 0;
    position:absolute;
    right:1em;
    bottom:-0.2em;
}



    /* desplegable */
#wk-custom-cart-icon .custom-cart-dropdown {
    display: none !important;
    position: absolute !important;
    right: 0 !important;
    top: 100% !important;
    background: white !important;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1) !important;
    z-index: 1000 !important;
    width: 300px !important;
    padding: 1em !important;

    font-family: "Open Sans",Arial,sans-serif !important;

    font-size:13px !important;

    color: var(--wk-minicart-color-texto) !important;
}

#wk-custom-cart-icon.open .custom-cart-dropdown {
    display: block !important;
}



        /* desplegable: lista productos */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget {
    list-style: none !important;
    padding: 0 !important;
    margin: 0 !important;
    line-height: 20px !important;
}

            /* desplegable: producto */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li {
    display: flex !important;
    
    margin-bottom: 12px !important;
}
                /* desplegable: X borrar */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove {
    color: red !important;
    display: block !important;
    font-size: 16px !important;
    height: 18px !important;
    width: 18px !important;
    text-align: center !important;
    line-height: 1 !important;
    border-radius: 100% !important;
  
    text-decoration: none !important;
    font-weight: 700 !important;
    border: 0 !important;   

    animation: none !important;
   

}
                /* desplegable: X borrar hover*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove:hover {
    color: white !important;
    background-color: red;
    border-radius: 50%;
    animation: none !important;
 

}

                /* desplegable: imagen y texto producto*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li a:nth-child(2) {

    margin-right: auto !important;
    font-weight: normal !important;
    display: flex !important;

    color: var(--wk-minicart-color-enlace) !important;
}


                    /* desplegable: imagen */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li img {
    max-width: 50px !important;
    max-height: 50px !important;
    margin-right: 6px !important;
    float: none !important;
    width: 50px !important;
    vertical-align: top !important;
    margin-left: 4px !important;
}

                /* desplegable: cantidad x precio */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .quantity {
    width: auto !important;
    
}

        /* desplegable: fila total productos */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__total {
    border-top: 1px solid #ccc !important;
    padding-top: 1em !important;
    margin-top: 1em !important;
    text-align: right !important;
}
        /* desplegable: botones contendor */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons {
    display: flex !important;
    justify-content: space-between !important;
    margin-top: 1em !important;
}
            /* desplegable: botones */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a {
    flex: 1 !important;
    margin-right: 0.5em !important;
    text-align: center !important;

    padding:0.5rem !important;
    border: 1px solid var(--wk-minicart-color-enlace) !important;
    font-size: 13px!important;
    color: var(--wk-minicart-color-enlace) !important;
    
}


#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover {

    padding:0.5rem !important;
    background-color: #f3f3f3 !important;
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a::after {
    content: none !important;
    
    
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover::after {
    content: none !important;
}




            /* desplegable: boton 2 */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:last-child {
    margin-right: 0 !important;
}






